List your hosting accounts

View an overview of all your web hosting accounts. This returns a `product_id` that you can use to perform follow-up actions, such as upgrading your account.

Web Hosting Services Hosting Accounts

Context

Used in the dashboard

/ /support /notifications

Workflow links

Produces

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.hosting_accounts array<object> required · Example: [{"id":"18732","name":"example.com","domain":"example.com","status":"Active","type":"1"...
data.hosting_accounts[].billingCycle string · enum required · Example: Annually
Annually
Monthly
data.hosting_accounts[].currency string required · Example: SEK
data.hosting_accounts[].custom_name string · Example: BN-Webhotel
data.hosting_accounts[].domain string required · Example: example.com
data.hosting_accounts[].expires string required · Example: 2026-01-29
data.hosting_accounts[].id string required · Example: 18732
data.hosting_accounts[].name string required · Example: example.com
data.hosting_accounts[].nextDue string required · Example: 2027-01-29
data.hosting_accounts[].price integer required · Example: 708
data.hosting_accounts[].product_id string required · Example: 1912
data.hosting_accounts[].status string required · Example: Active
data.hosting_accounts[].tags array<object> required · Example: []
data.hosting_accounts[].type string required · Example: 1
data.pagination object required
data.pagination.currentPage integer required · Example: 1
data.pagination.perPage integer required · Example: 1000
data.pagination.totalAllAccounts integer · Example: 2
data.pagination.totalPages integer required · Example: 1
data.pagination.totalRecords integer required · Example: 1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/hosting-accounts
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/hosting-accounts" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "hosting_accounts": [
      {
        "id": "18732",
        "name": "example.com",
        "domain": "example.com",
        "status": "Active",
        "type": "1",
        "product_id": "1912",
        "price": 708,
        "billingCycle": "Annually",
        "currency": "SEK",
        "nextDue": "2027-01-29",
        "expires": "2026-01-29",
        "tags": []
      }
    ],
    "pagination": {
      "currentPage": 1,
      "perPage": 1000,
      "totalPages": 1,
      "totalRecords": 1,
      "totalAllAccounts": 2
    }
  }
}